# borg with-lock

    borg [common options] with-lock [options] COMMAND [ARGS...]

positional arguments
| `COMMAND` | command to run
| `ARGS` | command arguments
Common options

## Description

This command runs a user-specified command while locking the repository. For example:

    $ BORG_REPO=/mnt/borgrepo borg with-lock rsync -av /mnt/borgrepo /somewhere/else/borgrepo

It first tries to acquire the lock (make sure that no other operation is running in the repository), then executes the given command as a subprocess and waits for its termination, releases the lock, and returns the user command’s return code as Borg’s return code.

Note

If you copy a repository with the lock held, the lock will be present in the copy. Borg removes such a leftover lock automatically, but only after a safety period of about half an hour, so to use Borg on the copy right away, first run `borg break-lock` on the copied repository.

# borg break-lock

    borg [common options] break-lock [options]

Common options

## Description

This command breaks the repository and cache locks. Use with care and only when no Borg process (on any machine) is trying to access the cache or the repository.